<h4 class="font-weight-bold py-3 mb-4 col-md-6">
   {{old_role}}
</h4>

<div class="card mb-4">
    <h6 class="card-header">
        Enter the Role information
        <a href="javascript:void(0)" class="pull-right btn btn-primary" (click)="navigateToRoleList()">Role List</a>
    </h6>
    
    <div class="card-body">
        <form [formGroup]="editRole" (ngSubmit)="fneditRole(editRole.value)">
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label class="form-label">Role</label>
                    <input [formControl]="editRole.controls['role']" [(ngModel)]="role" name="role" type="text" class="form-control" placeholder="Role" [ngClass]="{'is-invalid':!editRole.controls['role'].valid && editRole.controls['role'].touched}">
                    <div *ngIf="editRole.controls['role'].hasError('required') && editRole.controls['role'].touched" class="invalid-feedback">You must include a Role.</div>
                    </div>
                <div class="form-group col-md-6">
                    <label class="form-label">Description</label>
                    <input [formControl]="editRole.controls['description']" [(ngModel)]="description" name="description" type="text" class="form-control" placeholder="Description" [ngClass]="{'is-invalid':!editRole.controls['description'].valid && editRole.controls['description'].touched}">
                    <div *ngIf="editRole.controls['description'].hasError('required') && editRole.controls['description'].touched" class="invalid-feedback">You must include a Description.</div>
                </div>
                <input [formControl]="editRole.controls['old_role']" [(ngModel)]="old_role" name="old_role" type="hidden" class="form-control" placeholder="Old Role">
            </div>
            <hr/>
            <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-outline-primary" [disabled]="!editRole.valid">Update</button>
        </form>
    </div>
</div>
<ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
<!-- <div class="card bg-success">
    <div class="card-body">
        <h6>User added successfully</h6>
    </div>
</div> -->
